Page MenuHomePhabricator

Retrospective about ASBS
Closed, ResolvedPublic

Description

Learn a bit around best practices for retros.
Collect content.
Share with ASBS personnel for further input.
Further actions to be decided.

Event Timeline

Elitre created this task.Apr 25 2019, 10:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2019, 10:24 AM
Elitre added a comment.Jun 3 2019, 5:51 PM

Got the following suggestions to see where to get started:

*[[mw:Team_Practices_Group/Retrospectives#Basic_TPG_Retro_Process|Team Practices Group/Retrospectives#Basic TPG Retro Process]]
*[[mw:Team_Practices_Group/Five_finger_retrospective|Five Finger Retrospective]]
*[[mw:Method_for_getting_people_to_share_in_high_profile_settings|Method for getting people to share in high profile settings]]
*[[mw:Team_Practices_Group/5-category_framework_for_thinking_about_feedback|Team Practices Group/5-category framework for thinking about feedback]]
*[http://www.innovationgames.com/learning-matrix/ Learning Matrix] retrospective
*https://etherpad.wikimedia.org/p/retro-tips-and-tricks

Elitre triaged this task as Medium priority.Jun 25 2019, 2:43 PM
Elitre updated the task description. (Show Details)

I've shared my initial draft with my team.

Elitre changed the task status from Open to Stalled.Sep 4 2019, 3:37 PM

Given the recommendations I received around my draft, I'll need to repurpose/rewrite it. The result is not going to be public.

Draft was shared with other supporting staff. New edits round needed.

While the main content seems to be stable, I've been asked for additional sections that should be helpful for future iterations of this process.

Elitre changed the task status from Stalled to Open.Oct 28 2019, 10:18 AM
Elitre closed this task as Resolved.Mon, Jan 20, 5:12 PM

I had completed this a while ago. Hope it's useful to my colleagues.